OpenVDB 12.1.0

Loading...
Searching...
No Matches
PointRasterizeEllipsoidsSDFImpl.h File Reference

Go to the source code of this file.

## Classes
struct | EllipseIndicies
struct | EllipsoidTransfer< SdfT, PositionCodecT, RadiusType, FilterT, CPG >
struct | EllipseSurfaceMaskOp< RadiusType, MaskTreeT >

## Namespaces
namespace | openvdb
namespace | openvdb::v12_1
namespace | openvdb::v12_1::points
namespace | openvdb::v12_1::points::rasterize_sdf_internal

## Macros
#define | OPENVDB_ELLIPSOID_KERNEL_MODE 2
| Dev option to experiment with the ellipsoid kernel.

## Functions
math::Vec3d | calcUnitEllipsoidBoundMaxSq (const math::Mat3s &ellipsoidTransform)
math::Vec3d | calcEllipsoidBoundMax (const math::Mat3s &ellipsoidTransform)
template<typename PointDataGridT, typename SdfT, typename SettingsT>
GridPtrVec | rasterizeEllipsoids (const PointDataGridT &points, const SettingsT &settings, const typename SettingsT::FilterType &filter)

## Detailed Description

Author
  Richard Jones, Nick Avramoussis

## Macro Definition Documentation

## ◆ OPENVDB_ELLIPSOID_KERNEL_MODE

#define OPENVDB_ELLIPSOID_KERNEL_MODE 2

Dev option to experiment with the ellipsoid kernel.

- 0 Distance to unit sphere
- 1 Project unit distance on elipsoid normal
- 2 Distance to axis-aligned ellipse